WXMAXIMA(1)

NAME
wxmaxima — wxWidgets interface for maxima

SYNOPSIS

wxmaxima

DESCRIPTION

This manual page documents briefly the wxmaxima command and originally was written for the Debian distribution because the original program did not have a manual page at this time. Instead, it has extensive documentation that is in accessible using it's Help menu.

wxmaxima is a rather self-explanatory front-end to the maxima computer algebra system. It provides a graphical interface and 2D formated output display for maxima. Its menu system facilitates the access to a huge part of the maxima native set of commands and also to a browsable maxima help. The dialogue windows make easy the introduction of mathematical entities such as limits, matrices, etc. Besides that it extends maxima with a few powerful features like the ability to create diagrams with one parameter bound to a slider gui control.

maxima is a free (GPL) common lisp implementation based of the original computer algebra system Macsyma developed at MIT. It has full documentation (HTML and info) included in the maxima-doc Debian package.

It uses the cross-platform GUI toolkit wxWidgets and runs natively on many operative systems.

OPTIONS

-h, --help
    Help: prints a list of options.

-V, --version
    Prints the current version.

-b, --batch
    processes the file, saves it afterwards. Will halt if wxMaxima finds an error message in maxima's output and pause if maxima asks a question.

SEE ALSO

maxima (1), xmaxima (1).

AUTHOR

This manual page was written by J. Rafael Rodriguez Galvan rafael.rodriguez@uca.es for the Debian system (but may be used by others) and updated by Gunter Königsmann wxMaxima@physikbuch.de. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.